@import 'src/styles.scss';

.header {
  &__wrapper {
    @include tablet-large {
      background-color: #f9f9f9;
    }
  }
  &__domains-title {
    display: block;
    margin: 0 0 0.75rem 0;
    font-size: 1rem;
    line-height: 1.5rem;
  }
  &__domains-tags-container {
    display: flex;
    gap: 0.5rem;
    span {
      font-size: 0.875rem;
      line-height: 1rem;
      display: inline-block;
      border: solid 1px #e3e3e3;
      padding: 0.25rem 0.5rem;
      border-radius: 1rem;
      background-color: #f5f5f5;
    }
  }
}

.filters {
  &__container {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    @include tablet-large {
      display: inline-flex;
      flex-direction: row;
    }
  }
  &__search {
    position: relative;
    width: 100%;
    @include tablet-large {
      width: auto;
    }
    .close-button {
      position: absolute;
      right: 2.5rem;
      top: 0.8rem;
      background-color: transparent;
      border: unset;
      cursor: pointer;
      margin: 0;
      padding: 0;
    }
    .search-icon-container {
      display: inline;
      position: absolute;
      right: 0.5rem;
      top: 0.7rem;
      opacity: 0.15;
    }
  }
  &__select {
    width: 100%;
    box-shadow:
      0 0.125rem 0.25rem 0 rgba(9, 49, 142, 0.0784313725),
      0 0 0.625rem 0 rgba(9, 49, 142, 0.0784313725),
      0 0.25rem 0.3rem 0 rgba(9, 49, 142, 0.0784313725),
      0 -0.25rem 0.25rem 0 rgba(9, 49, 142, 0.0784313725);
    @include tablet {
      width: auto;
    }
  }
}

.tabs {
  &__tab-container {
    cursor: pointer;
  }
  &__count-label {
    padding: 0.2rem 0.5rem 0.1rem;
    border-radius: 6rem;
  }
}

.table__container {
  min-height: 22rem;
  &:empty {
    display: none;
  }
}

.spinner {
  position: relative;
  top: unset;
  right: unset;
}
